#! /bin/bash

set -e

mkdir -p /adei/{src,cfg,tmp,sys,log}

if ! whoami &> /dev/null; then
  if [ -w /etc/passwd ]; then
    echo "${USER_NAME:-default}:x:$(id -u):0:${USER_NAME:-default} user:${HOME}:/sbin/nologin" >> /etc/passwd
  fi
fi

echo "Running: $@"
exec "$@"
